Package com.usatiuk.dhfs.peertrust

# Class PeerTrustManager

java.lang.Object
com.usatiuk.dhfs.peertrust.PeerTrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

@ApplicationScoped public class PeerTrustManager extends Object implements X509TrustManager

## Constructor Summary

Constructors
Constructor
Description
`PeerTrustManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkClientTrusted(X509Certificate[] chain, String authType)`
`void`
`checkServerTrusted(X509Certificate[] chain, String authType)`
`X509Certificate[]`
`getAcceptedIssuers()`
`void`
`reloadTrustManagerHosts(Collection<PeerInfo> hosts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerTrustManager

public PeerTrustManager()

## Method Details

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### getAcceptedIssuers

public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`

### reloadTrustManagerHosts

public void reloadTrustManagerHosts(Collection<PeerInfo> hosts)